import React from 'react';
import './App.css';
import createHistory from "history/createBrowserHistory";
import {Provider, connect}   from 'react-redux';
import thunk from 'redux-thunk';
import {createStore, combineReducers, applyMiddleware} from 'redux';
import store from './reducers';
import RegForm from './pages/reg';
import { LogForm } from './pages/login';
import Home from './pages/homePage';
import Cabinet from './pages/cabinet';
import Projects from './pages/projects';
import ConUpload from './pages/upload';
import { imgFind } from './actions';
import {
  BrowserRouter as Router,
  Switch,
  Route, 
  Link
} from "react-router-dom";




function App() {
  return (
    <div className="App">
      <div className = 'contentDiv'>
      <Provider store = {store}>
       
      <Router history = {createHistory()}>
      <Route exact path='/' component={Home} />
      <Route exact path='/registration' component={RegForm}/>
      <Route exact path='/login' component={LogForm}/>
      <Route exact path='/cabinet' component={Cabinet}/>
      <Route exact path='/projects' component={Projects}/>
      <Route exact path='/upload' component={ConUpload}/>
      </Router>
      </Provider>
      </div>
    </div>
  );
}

export default App;
