
import React from "react";
import { render } from "react-dom";
import AceEditor from "react-ace";
import Header from "../components/header";
import { useState } from "react";

import "ace-builds/src-noconflict/mode-html";
import "ace-builds/src-noconflict/mode-css";
import "ace-builds/src-noconflict/mode-javascript";
import "ace-builds/src-noconflict/theme-monokai";
import "ace-builds/src-noconflict/ext-language_tools"



function onChangeHtml(newValue) {
    console.log('html' + ' ' + newValue);
  }
function onChangeCss(newValue) {
    console.log('css' + ' ' + newValue);
  }
function onChangeJs(newValue) {
    console.log('js' + ' ' + newValue);
  }

const Home = () =>{
  const [html, setHtml] = useState(onChangeHtml);
  const [css, setCss] = useState(onChangeCss);
  const [js, setJs] = useState(onChangeJs);
    return(
        <>
    <Header/>
    <AceEditor
    width = 'calc(100% / 3)'
    className = 'editor'
    onChange= {onChangeHtml}
  placeholder="Your HTML"
  mode="html"
  theme="monokai"
  name="blah2"
  fontSize={14}
  showPrintMargin={true}
  showGutter={true}
  highlightActiveLine={true}
  value={html}
  setOptions={{
  enableBasicAutocompletion: true,
  enableLiveAutocompletion: true,
  enableSnippets: false,
  showLineNumbers: true,
  tabSize: 2,
  
  }}/>
 <AceEditor
 width = 'calc(100% / 3)'
 className = 'editor'
 onChange={onChangeCss}
  placeholder="Your CSS"
  mode="css"
  theme="monokai"
  name="blah2"
  fontSize={14}
  showPrintMargin={true}
  showGutter={true}
  highlightActiveLine={true}
  value={css}
  setOptions={{
  enableBasicAutocompletion: true,
  enableLiveAutocompletion: true,
  enableSnippets: false,
  showLineNumbers: true,
  tabSize: 2,
  }}/>
  
<AceEditor
width = 'calc(100% / 3)'
className ='editor'
onChange={onChangeJs}
  placeholder="Your JavaScript"
  mode="javascript"
  theme="monokai"
  name="blah2"
  fontSize={14}
  showPrintMargin={true}
  showGutter={true}
  highlightActiveLine={true}
  value={js}
  setOptions={{
  enableBasicAutocompletion: true,
  enableLiveAutocompletion: true,
  enableSnippets: true,
  showLineNumbers: true,
  tabSize: 2,
  }}/>
  </>
    )
}

export default Home